"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.revokeSessions = revokeSessions;
const SessionKeyValidator_js_1 = require("../abis/SessionKeyValidator.js");
const constants_js_1 = require("../constants.js");
const sessions_js_1 = require("../sessions.js");
const writeContract_js_1 = require("./writeContract.js");
async function revokeSessions(client, signerClient, publicClient, args, isPrivyCrossApp = false) {
    const { session } = args;
    const sessionHashes = typeof session === 'string'
        ? [session]
        : Array.isArray(session)
            ? session.map(sessionHash)
            : [(0, sessions_js_1.getSessionHash)(session)];
    const transactionHash = await (0, writeContract_js_1.writeContract)(client, signerClient, publicClient, {
        account: client.account,
        chain: client.chain,
        address: constants_js_1.SESSION_KEY_VALIDATOR_ADDRESS,
        abi: SessionKeyValidator_js_1.default,
        functionName: 'revokeKeys',
        args: [sessionHashes],
    }, isPrivyCrossApp);
    return { transactionHash };
}
function sessionHash(session) {
    if (typeof session === 'string') {
        return session;
    }
    return (0, sessions_js_1.getSessionHash)(session);
}
//# sourceMappingURL=revokeSessions.js.map