import { type Account, type Client, type Hash, type PublicClient, type Transport, type WalletClient } from 'viem';
import type { ChainEIP712 } from 'viem/chains';
import { type SessionConfig } from '../sessions.js';
export interface CreateSessionParameters {
    session: SessionConfig;
}
export interface CreateSessionReturnType {
    transactionHash: Hash | undefined;
    session: SessionConfig;
}
export declare function createSession(client: Client<Transport, ChainEIP712, Account>, signerClient: WalletClient<Transport, ChainEIP712, Account>, publicClient: PublicClient<Transport, ChainEIP712>, args: CreateSessionParameters, isPrivyCrossApp?: boolean): Promise<CreateSessionReturnType>;
//# sourceMappingURL=createSession.d.ts.map